| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | List of all members
SoTextureCoordinateCache Class Reference

`#include <Inventor/caches/SoTextureCoordinateCache.h>`

Inheritance diagram for SoTextureCoordinateCache:

## Public Member Functions

| SoTextureCoordinateCache (SoState *const state)
virtual | ~SoTextureCoordinateCache ()
void | generate (const SbBox3f &bbox, const SbVec3f *vertices, const int numvertices)
const SbVec2f * | get (void) const
int | getNum (void) const
Public Member Functions inherited from SoCache
| SoCache (SoState *const state)
void | ref (void)
void | unref (SoState *state=NULL)
void | addElement (const SoElement *const elem)
virtual void | addCacheDependency (const SoState *state, SoCache *cache)
virtual SbBool | isValid (const SoState *state) const
const SoElement * | getInvalidElement (const SoState *const state) const
void | invalidate (void)

## Additional Inherited Members

Protected Member Functions inherited from SoCache
virtual void | destroy (SoState *state)
virtual | ~SoCache ()

## Detailed Description

The SoTextureCoordinateClass is used to cache generated texture coordinates.

## Constructor & Destructor Documentation

## ◆ SoTextureCoordinateCache()

SoTextureCoordinateCache::SoTextureCoordinateCache | ( | SoState *const | state | ) |

Constructor.

## ◆ ~SoTextureCoordinateCache()

SoTextureCoordinateCache::~SoTextureCoordinateCache | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ◆ generate()

void SoTextureCoordinateCache::generate | ( | const SbBox3f & | bbox,
|  | const SbVec3f * | vertices,
|  | const int | numvertices
| ) |  |

Generates texture coordinates based on the bounding box of the geometry. This is usually called default texture coordinates in OIV.

## ◆ get()

const SbVec2f * SoTextureCoordinateCache::get | ( | void |  | ) | const

Returns the generated texture coordinates.

## ◆ getNum()

int SoTextureCoordinateCache::getNum | ( | void |  | ) | const

Returns the number of generated texture coordinates.

The documentation for this class was generated from the following files:

- SoTextureCoordinateCache.h
- SoTextureCoordinateCache.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.